Package Details: essentia-git r1687.52585c53-1

Git Clone URL: https://aur.archlinux.org/essentia-git.git (read-only, click to copy)
Package Base: essentia-git
Description: Open-source library and tools for audio and music analysis, description and synthesis. (With Python 3 bindings)
Upstream URL: http://essentia.upf.edu/documentation/
Licenses: AGPL
Conflicts: essentia, essentia-acousticbrainz, lib32-essentia-acousticbrainz
Provides: essentia
Submitter: ech
Maintainer: ech
Last Packager: ech
Votes: 0
Popularity: 0.000000
First Submitted: 2017-11-12 13:50
Last Updated: 2018-03-21 14:54

Latest Comments

Martchus commented on 2020-05-10 20:49

Sorry, I don't even know what gaia is. Considering that the actual maintainer didn't respond to my first comment over a year ago and likely nobody besides me is reading comments for this package I suppose you have to ask elsewhere.

Regarding the error message: It apparently tries to link against Qt. Even if you had Qt installed the correct linker flag would likely be -lQt5Core. Not sure why their build script produces such a messy linker line (the -L flag for Qt looks very weird as well). If you report an upstream bug, don't forget to include the commands you've used to configure the build and how you provided the relevant dependencies.

vredesbyrd commented on 2020-05-10 17:44

Thanks Martchus. I was able to successfully build essentia. Now I am trying to build with gaia support. Linker cant seem to find the required qt libs.

/usr/bin/ld: cannot find -lQtCore collect2: error: ld returned 1 exit status

https://pastebin.com/L6yEVCjg

I'll continue to dig into it and post back if/when I have some success, in case other arch users stumble on this.

Martchus commented on 2020-05-09 09:11

See my previous comment and https://github.com/MTG/essentia/pull/811. Here's also a full version of my PKGBUILD: https://github.com/Martchus/PKGBUILDs/tree/master/essentia/git

However, I haven't really gotten into this library in the end so it might not work with the current master.

vredesbyrd commented on 2020-05-09 03:18

currently fails to compile, issue: https://github.com/MTG/essentia/issues/808

Checking for 'libavresample' : not found Checking for 'gaia2' : not found

Patch for libswresample support referenced in above issue fails to apply. Any thoughts on getting this to compile would be appreciated, even more so with gaia support.

Martchus commented on 2018-12-19 16:44

You might want to git am https://martchus.no-ip.biz/shares/a4f78bd3d1154882e0feb89711c615/0001-Enhance-various-details.patch (see patch description for details)